Bug 192282 - wget/yum does not work for rpm.livna.org
wget/yum does not work for rpm.livna.org
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-18 15:03 EDT by Marcelo Roberto Jimenez
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-19 05:39:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcelo Roberto Jimenez 2006-05-18 15:03:21 EDT
Description of problem:
# wget http://rpm.livna.org/fedora/4/i386/RPMS.lvn/repodata/repomd.xml
--16:09:23--  http://rpm.livna.org/fedora/4/i386/RPMS.lvn/repodata/repomd.xml
           => `repomd.xml'
Resolving rpm.livna.org... failed: No such file or directory.

# yum update
Setting up Update Process
Setting up repositories
http://rpm.livna.org/fedora/4/i386/RPMS.lvn/repodata/repomd.xml: [Errno 4]
IOError: <urlopen error (2, 'No such file or directory')>
Trying other mirror.
http://livna.cat.pdx.edu/fedora/4/i386/RPMS.lvn/repodata/repomd.xml: [Errno 4]
IOError: <urlopen error (11, 'Resource temporarily unavailable')>
Trying other mirror.
http://wftp.tu-chemnitz.de/pub/linux/livna/fedora/4/i386/RPMS.lvn/repodata/repomd.xml:
[Errno 4] IOError: <urlopen error (11, 'Resource temporarily unavailable')>
Trying other mirror.
http://ftp-stud.fht-esslingen.de/pub/Mirrors/rpm.livna.org/fedora/4/i386/RPMS.lvn/repodata/repomd.xml:
[Errno 4] IOError: <urlopen error (11, 'Resource temporarily unavailable')>
Trying other mirror.
Cannot open/read repomd.xml file for repository: livna
failure: repodata/repomd.xml from livna: [Errno 256] No more mirrors to try.
Error: failure: repodata/repomd.xml from livna: [Errno 256] No more mirrors to try.


Version-Release number of selected component (if applicable):
# wget --version
GNU Wget 1.10.2 (Red Hat modified)

Additional info:
# wget --inet4-only http://rpm.livna.org/fedora/4/i386/RPMS.lvn/repodata/repomd.xml
--16:09:50--  http://rpm.livna.org/fedora/4/i386/RPMS.lvn/repodata/repomd.xml
           => `repomd.xml'
Resolving rpm.livna.org... 193.28.235.40
Connecting to rpm.livna.org|193.28.235.40|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 951 [text/xml]

100%[===========================================================================>]
951           --.--K/s

16:09:51 (20.15 MB/s) - `repomd.xml' saved [951/951]
Comment 1 Marcelo Roberto Jimenez 2006-05-18 15:05:44 EDT
Also, please read this:
http://www.mail-archive.com/wget@sunsite.dk/msg08902.html
Comment 2 Marcelo Roberto Jimenez 2006-05-18 15:23:38 EDT
Adding these lines to /etc/hosts makes everything work:
193.28.235.40	rpm.livna.org
209.132.176.220 download.fedora.redhat.com
Comment 3 Karsten Hopp 2006-05-19 05:39:43 EDT
adding those lines to /etc/hosts is just a workaround, but not a fix.
Have you deleted 'nisplus' from the host line in /etc/nsswitch.conf 
like I suggested in http://www.mail-archive.com/wget@sunsite.dk/msg08905.html ?
There was a problem in our glibc package which caused this and nisplus is almost
always unneccessary to have in the host line of nsswitch.conf.
Comment 4 Marcelo Roberto Jimenez 2006-05-23 09:02:15 EDT
I have removed the lines I had previously added to /etc/hosts.

Removing 'nisplus' from the host line in /etc/nsswitch.conf does make wget work.

Works without it, does not work with it.

Note You need to log in before you can comment on or make changes to this bug.